Bug 497551 - Inconsistent default anonuid/anongid values.
Summary: Inconsistent default anonuid/anongid values.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks: 499522 5.5TechNotes-Updates 566888
TreeView+ depends on / blocked
 
Reported: 2009-04-24 16:34 UTC by Sachin Prabhu
Modified: 2018-11-27 21:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 566888 (view as bug list)
Environment:
Last Closed: 2010-03-30 08:52:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0284 normal SHIPPED_LIVE nfs-utils bug fix update 2010-03-29 15:02:53 UTC

Description Sachin Prabhu 2009-04-24 16:34:01 UTC
Both RHEL4 and 5 set the uid/gid for nfsnobody to 4294967294 in /etc/passwd, but RHEL4 and 5 have different NFS defaults for anonuid/anaongid.  RHEL4 uses anonuid/anongid of 4294967294. RHEL5, by default, sets these to 65534 (which is the "traditional" uid for nfsnobody):


The change occurs due to the following comment in nfs-utils

http://git.linux-nfs.org/?p=steved/nfs-utils.git;a=commit;h=3419e37500dfd19cb2c246260dbd2bc0ee4704d4

--
Use 65534 for anon uid/gid rather than -2

This is more consistant across platforms.
--

The values for anonuid and anongid should be the same for RHEL 4 and RHEL 5.

Comment 1 Sachin Prabhu 2009-07-15 11:50:27 UTC
This also means that the values of nfsnobody(4294967294) on RHEL 5 64 bit machines do not match the anonuid/anongid values(65534) used by the exports on RHEL 5 machines.

Comment 14 errata-xmlrpc 2010-03-30 08:52:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0284.html


Note You need to log in before you can comment on or make changes to this bug.